%define version 0.2
%define release 10mdk

Summary: Drag'n'Drop printing on GNOME
Name: g-print
Version: %{version}
Release: %{release}
Copyright: GPL
Group: Graphical desktop/GNOME
BuildRequires: XFree86-devel gnome-libs-devel audiofile-devel esound-devel imlib-devel zlib-devel
#Icon: g-print-logo.gif
Source0: ftp://ftp.gnome.org/pub/GNOME/stable/sources/g-print/%{name}-%{version}.tar.bz2
Source1: g-print_48.xpm.bz2
Source2: g-print_32.xpm.bz2
Source3: g-print_16.xpm.bz2
Patch: g-print-getoptalpha.patch.bz2
Patch1: g-print-create.patch.bz2
URL: http://www.gnome.org/g-print/
BuildRoot: /%{_tmppath}/%{name}-%{version}-root
Requires: mc >= 4.5.37

%description
g-print (in addition with gmc) puts an icon on your GNOME desktop where
you can drop files to be printed.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q
%ifarch alpha
%patch0 -p0
%endif

%patch1 -p1 -b .create
%build
%configure

%make

%install
mkdir -p $RPM_BUILD_ROOT%{_libdir}/mc/desktop-scripts

%makeinstall

ln -s ../../../bin/g-print \
           $RPM_BUILD_ROOT%{_libdir}/mc/desktop-scripts/g-print

#install menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): \
	needs="X11" \
	icon="%{name}.xpm" \
	section="Configuration/Printing" \
	title="g-print" \
	longtitle="Drag'n'Drop printer icon" \
	command="%{_bindir}/g-print"
EOF

mkdir -p $RPM_BUILD_ROOT%{_iconsdir} $RPM_BUILD_ROOT%{_liconsdir} $RPM_BUILD_ROOT%{_miconsdir}
bzcat %{SOURCE1} > $RPM_BUILD_ROOT%{_liconsdir}/%{name}.xpm
bzcat %{SOURCE2} > $RPM_BUILD_ROOT%{_iconsdir}/%{name}.xpm
bzcat %{SOURCE3} > $RPM_BUILD_ROOT%{_miconsdir}/%{name}.xpm

%{find_lang} %{name}

%post
## menu
%{update_menus}

%postun
## menu
%{clean_menus}


%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%doc README COPYING ChangeLog
%{_bindir}/g-print
#%{_libdir}/mc/desktop-scripts/g-print
%{_mandir}/man1/g-print.1*
%{_menudir}/%{name}
%{_iconsdir}/*.xpm
%{_liconsdir}/*.xpm
%{_miconsdir}/*.xpm

%changelog
* Wed Sep 20 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.2-10mdk
- No longer provide desktop-scripts symlink since gmc already call g-print
- Create correct link on desktop

* Wed Sep  6 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.2-9mdk
- Add icons

* Tue Sep  5 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.2-8mdk
- Use find_lang macro

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.2-7mdk
- automatically added BuildRequires

* Wed Jul 26 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.2-6mdk
- BM + macroszification

* Fri Mar 31 2000 DindinX <odin@mandrakesoft.com> 0.2-5mdk
- Some specs cleanups
- Changed group
- fix absolute link
- Added Menu

* Fri Jan 21 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.2-4mdk
- Fix to build on alpha.

* Sun Oct 31 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Enable SMP check/build
- make bash pretty so rpm plays nice

* Tue Aug 03 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- first rpm version

